<?php

namespace PdWms;

class BaseWms
{
    const RK_TYPE = [
        '0' => 'CGRK',
        '10' => 'DBRK',
        '20' => 'QTRK',
        '30' => 'XNRK',
        '40' => 'QTRK',
    ];

    function filterEmoji(string $str): string
    {
        if (!empty($str)) {
            $str = preg_replace_callback(
                '/./u',
                function (array $match) {
                    return strlen($match[0]) >= 4 ? '' : $match[0];
                },
                $str
            );
        }
        return $str;
    }

    //格式化金额
    function formatNumber($number, $decimals = 2)
    {
        return number_format($number, $decimals, ".", "");
    }


    //商品入库采购单号
    function goodsWarehouseCgrkNumber()
    {
        return "10" . $this->generate();
    }

    function generate()
    {
        $time = date("YmdHis", time());
        $no = $time . rand(1000, 9999);
        return substr($no, 2, strlen($no));
    }
}
